Bug 328421 - Yum failing at the end of a transaction
Yum failing at the end of a transaction
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-11 16:29 EDT by Jonathan Underwood
Modified: 2014-01-21 17:59 EST (History)
4 users (show)

See Also:
Fixed In Version: 3.2.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 19:21:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2007-10-11 16:29:56 EDT
Description of problem:
I just did a yum update on a machine that hadmn't been updated for a few weeks,
and this happened:
]# yum update
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package fuse.i386 0:2.7.0-6.fc7 set to be updated
---> Package icedax.i386 0:1.1.6-5.fc7 set to be updated
---> Package fast-user-switch-applet.i386 0:2.17.4-5.fc7 set to be updated
---> Package tzdata.noarch 0:2007h-1.fc7 set to be updated
---> Package openoffice.org-impress.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package pidgin.i386 0:2.2.1-1.fc7 set to be updated
---> Package libstdc++.i386 0:4.1.2-27.fc7 set to be updated
---> Package dhclient.i386 12:3.0.5-40.fc7 set to be updated
---> Package libdhcp6client.i386 0:0.10-44.fc7 set to be updated
---> Package fuse-libs.i386 0:2.7.0-6.fc7 set to be updated
---> Package pwlib.i386 0:1.10.10-1.fc7 set to be updated
---> Package procps.i386 0:3.2.7-16.fc7 set to be updated
---> Package nss_ldap.i386 0:257-3.fc7 set to be updated
---> Package util-linux.i386 0:2.13-0.54.1.fc7 set to be updated
---> Package emacs.i386 0:22.1-4.fc7 set to be updated
---> Package yum.noarch 0:3.2.5-1.fc7 set to be updated
---> Package SDL.i386 0:1.2.12-1.fc7 set to be updated
---> Package openoffice.org-math.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package libtirpc.i386 0:0.1.7-9.fc7 set to be updated
---> Package libselinux-python.i386 0:2.0.14-9.fc7 set to be updated
---> Package openoffice.org-testtools.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package httpd.i386 0:2.2.6-1.fc7 set to be updated
---> Package openoffice.org-emailmerge.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package libICE.i386 0:1.0.3-2.1.fc7 set to be updated
---> Package yum-fastestmirror.noarch 0:1.1.7-1.fc7 set to be updated
---> Package libsmbios-libs.i386 0:0.13.10-1.fc7 set to be updated
---> Package rhythmbox.i386 0:0.10.1-2.fc7 set to be updated
---> Package opal.i386 0:2.2.11-1.fc7 set to be updated
---> Package cpp.i386 0:4.1.2-27.fc7 set to be updated
---> Package libtiff.i386 0:3.8.2-8.fc7 set to be updated
---> Package smartmontools.i386 1:5.37-3.2.fc7 set to be updated
---> Package thunderbird.i386 0:2.0.0.5-2.fc7 set to be updated
---> Package system-config-printer.i386 0:0.7.63.4-1.fc7 set to be updated
---> Package elinks.i386 0:0.11.3-1.fc7 set to be updated
---> Package openoffice.org-draw.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package libgcc.i386 0:4.1.2-27.fc7 set to be updated
---> Package selinux-policy-targeted.noarch 0:2.6.4-46.fc7 set to be updated
---> Package libpurple.i386 0:2.2.1-1.fc7 set to be updated
---> Package ntfs-3g.i386 2:1.913-2.fc7 set to be updated
---> Package libsndfile.i386 0:1.0.17-2.fc7 set to be updated
---> Package openoffice.org-writer.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package rsync.i386 0:2.6.9-3.fc7 set to be updated
---> Package xorg-x11-drv-amd.i386 0:0.0-22.20070625.fc7 set to be updated
---> Package openoffice.org-graphicfilter.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package genisoimage.i386 0:1.1.6-5.fc7 set to be updated
---> Package ekiga.i386 0:2.0.11-1.fc7 set to be updated
---> Package openoffice.org-javafilter.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package emacs-common.i386 0:22.1-4.fc7 set to be updated
---> Package gnutls.i386 0:1.6.3-2.fc7 set to be updated
---> Package dbus-glib.i386 0:0.73-3.fc7 set to be updated
---> Package system-config-printer-libs.i386 0:0.7.63.4-1.fc7 set to be updated
---> Package qt.i386 1:3.3.8-7.fc7 set to be updated
---> Package libdvdnav.i386 0:0.1.10-4.20070503.lvn7 set to be updated
---> Package linuxwacom.i386 0:0.7.6.4-3.fc7 set to be updated
---> Package openoffice.org-base.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package hpijs.i386 1:1.7.4a-5.fc7 set to be updated
---> Package liberation-fonts.noarch 0:0.2-2.fc7 set to be updated
---> Package openoffice.org-pyuno.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package iptstate.i386 0:2.2.1-1.fc7 set to be updated
--> Processing Dependency: libnetfilter_conntrack.so.1 for package: iptstate
---> Package openoffice.org-core.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package libtheora.i386 0:1.0alpha8-0.3.svn13393.fc7 set to be updated
---> Package openoffice.org-calc.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package libselinux.i386 0:2.0.14-9.fc7 set to be updated
---> Package metacity.i386 0:2.18.5-2.fc7 set to be updated
---> Package readahead.i386 1:1.4.1-3.fc7 set to be updated
---> Package selinux-policy.noarch 0:2.6.4-46.fc7 set to be updated
---> Package system-config-users.noarch 0:1.2.64-1.fc7 set to be updated
---> Package python-setuptools.noarch 0:0.6c7-1.fc7 set to be updated
---> Package yum-updatesd.noarch 0:3.2.5-1.fc7 set to be updated
---> Package openoffice.org-xsltfilter.i386 1:2.2.1-18.2.fc7 set to be updated
---> Package foomatic.i386 0:3.0.2-47.2.fc7 set to be updated
---> Package sendmail.i386 0:8.14.1-4.2.fc7 set to be updated
---> Package libdhcp4client.i386 12:3.0.5-40.fc7 set to be updated
---> Package wodim.i386 0:1.1.6-5.fc7 set to be updated
---> Package info.i386 0:4.11-1.fc7 set to be updated
---> Package kernel.i686 0:2.6.22.9-91.fc7 set to be updated
---> Package gthumb.i386 0:2.10.6-1.fc7 set to be updated
---> Package system-config-date.noarch 0:1.9.5-1.fc7 set to be updated
---> Package libgcj.i386 0:4.1.2-27.fc7 set to be updated
---> Package iptables-ipv6.i386 0:1.3.8-2.1.fc7 set to be updated
---> Package iptables.i386 0:1.3.8-2.1.fc7 set to be updated
---> Package alsa-utils.i386 0:1.0.14-2.fc7 set to be updated
---> Package dhcpv6_client.i386 0:0.10-44.fc7 set to be updated
--> Running transaction check
---> Package libnetfilter_conntrack.i386 0:0.0.81-1.fc7 set to be updated
--> Processing Dependency: libnfnetlink.so.0 for package: libnetfilter_conntrack
--> Running transaction check
---> Package libnfnetlink.i386 0:0.0.30-1.fc7 set to be updated
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.i686 0:2.6.22.4-65.fc7 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 kernel                  i686       2.6.22.9-91.fc7  updates            16 M
Updating:
 SDL                     i386       1.2.12-1.fc7     updates           219 k
 alsa-utils              i386       1.0.14-2.fc7     updates           1.0 M
 cpp                     i386       4.1.2-27.fc7     updates           2.6 M
 dbus-glib               i386       0.73-3.fc7       updates           159 k
 dhclient                i386       12:3.0.5-40.fc7  updates           274 k
 dhcpv6_client           i386       0.10-44.fc7      updates            84 k
 ekiga                   i386       2.0.11-1.fc7     updates           6.6 M
 elinks                  i386       0.11.3-1.fc7     updates           1.0 M
 emacs                   i386       22.1-4.fc7       updates           1.9 M
 fast-user-switch-applet  i386       2.17.4-5.fc7     updates           641 k
 foomatic                i386       3.0.2-47.2.fc7   updates            16 M
 fuse                    i386       2.7.0-6.fc7      updates            80 k
 fuse-libs               i386       2.7.0-6.fc7      updates            70 k
 genisoimage             i386       1.1.6-5.fc7      updates           556 k
 gnutls                  i386       1.6.3-2.fc7      updates           395 k
 gthumb                  i386       2.10.6-1.fc7     updates           2.4 M
 hpijs                   i386       1:1.7.4a-5.fc7   updates           293 k
 httpd                   i386       2.2.6-1.fc7      updates           996 k
 icedax                  i386       1.1.6-5.fc7      updates           180 k
 info                    i386       4.11-1.fc7       updates           166 k
 iptables-ipv6           i386       1.3.8-2.1.fc7    updates           176 k
 iptstate                i386       2.2.1-1.fc7      updates            39 k
 libICE                  i386       1.0.3-2.1.fc7    updates            53 k
 libdhcp4client          i386       12:3.0.5-40.fc7  updates           247 k
 libdhcp6client          i386       0.10-44.fc7      updates            78 k
 libdvdnav               i386       0.1.10-4.20070503.lvn7  livna             123 k
 liberation-fonts        noarch     0.2-2.fc7        updates           638 k
 libgcj                  i386       4.1.2-27.fc7     updates            19 M
 libselinux-python       i386       2.0.14-9.fc7     updates            75 k
 libsmbios-libs          i386       0.13.10-1.fc7    updates           237 k
 libsndfile              i386       1.0.17-2.fc7     updates           227 k
 libtheora               i386       1.0alpha8-0.3.svn13393.fc7  updates        
  151 k
 libtiff                 i386       3.8.2-8.fc7      updates           310 k
 libtirpc                i386       0.1.7-9.fc7      updates            74 k
 linuxwacom              i386       0.7.6.4-3.fc7    updates           182 k
 metacity                i386       2.18.5-2.fc7     updates           2.2 M
 nss_ldap                i386       257-3.fc7        updates           148 k
 ntfs-3g                 i386       2:1.913-2.fc7    updates           145 k
 openoffice.org-base     i386       1:2.2.1-18.2.fc7  updates           864 k
 openoffice.org-calc     i386       1:2.2.1-18.2.fc7  updates           6.8 M
 openoffice.org-draw     i386       1:2.2.1-18.2.fc7  updates           1.1 M
 openoffice.org-emailmerge  i386       1:2.2.1-18.2.fc7  updates            75 k
 openoffice.org-graphicfilter  i386       1:2.2.1-18.2.fc7  updates           198 k
 openoffice.org-impress  i386       1:2.2.1-18.2.fc7  updates           1.5 M
 openoffice.org-javafilter  i386       1:2.2.1-18.2.fc7  updates           159 k
 openoffice.org-math     i386       1:2.2.1-18.2.fc7  updates           1.3 M
 openoffice.org-testtools  i386       1:2.2.1-18.2.fc7  updates           414 k
 openoffice.org-xsltfilter  i386       1:2.2.1-18.2.fc7  updates           109 k
 pidgin                  i386       2.2.1-1.fc7      updates           1.1 M
 procps                  i386       3.2.7-16.fc7     updates           209 k
 python-setuptools       noarch     0.6c7-1.fc7      updates           470 k
 qt                      i386       1:3.3.8-7.fc7    updates           3.5 M
 readahead               i386       1:1.4.1-3.fc7    updates            47 k
 rhythmbox               i386       0.10.1-2.fc7     updates           4.1 M
 rsync                   i386       2.6.9-3.fc7      updates           232 k
 selinux-policy-targeted  noarch     2.6.4-46.fc7     updates           1.0 M
 sendmail                i386       8.14.1-4.2.fc7   updates           832 k
 smartmontools           i386       1:5.37-3.2.fc7   updates           301 k
 system-config-date      noarch     1.9.5-1.fc7      updates           1.1 M
 system-config-printer   i386       0.7.63.4-1.fc7   updates           171 k
 system-config-users     noarch     1.2.64-1.fc7     updates           383 k
 thunderbird             i386       2.0.0.5-2.fc7    updates            23 M
 tzdata                  noarch     2007h-1.fc7      updates           746 k
 util-linux              i386       2.13-0.54.1.fc7  updates           1.8 M
 wodim                   i386       1.1.6-5.fc7      updates           507 k
 xorg-x11-drv-amd        i386       0.0-22.20070625.fc7  updates           130 k
 yum-fastestmirror       noarch     1.1.7-1.fc7      updates           8.3 k
 yum-updatesd            noarch     3.2.5-1.fc7      updates            23 k
Removing:
 kernel                  i686       2.6.22.4-65.fc7  installed          47 M
Installing for dependencies:
 libnetfilter_conntrack  i386       0.0.81-1.fc7     updates            44 k
 libnfnetlink            i386       0.0.30-1.fc7     updates            22 k
Updating for dependencies:
 emacs-common            i386       22.1-4.fc7       updates            18 M
 iptables                i386       1.3.8-2.1.fc7    updates           242 k
 libgcc                  i386       4.1.2-27.fc7     updates            92 k
 libpurple               i386       2.2.1-1.fc7      updates           6.6 M
 libselinux              i386       2.0.14-9.fc7     updates            98 k
 libstdc++               i386       4.1.2-27.fc7     updates           358 k
 opal                    i386       2.2.11-1.fc7     updates           2.9 M
 openoffice.org-core     i386       1:2.2.1-18.2.fc7  updates            73 M
 openoffice.org-pyuno    i386       1:2.2.1-18.2.fc7  updates           192 k
 openoffice.org-writer   i386       1:2.2.1-18.2.fc7  updates           2.9 M
 pwlib                   i386       1.10.10-1.fc7    updates           818 k
 selinux-policy          noarch     2.6.4-46.fc7     updates           361 k
 system-config-printer-libs  i386       0.7.63.4-1.fc7   updates           347 k
 yum                     noarch     3.2.5-1.fc7      updates           543 k

Transaction Summary
=============================================================================
Install      3 Package(s)         
Update      82 Package(s)         
Remove       1 Package(s)         

Total download size: 235 M
Is this ok [y/N]: y
Downloading Packages:
(1/49): openoffice.org-co 100% |=========================|  73 MB    05:55     
(2/49): ekiga-2.0.11-1.fc 100% |=========================| 6.6 MB    00:31     
(3/49): genisoimage-1.1.6 100% |=========================| 556 kB    00:02     
(4/49): openoffice.org-gr 100% |=========================| 198 kB    00:00     
(5/49): xorg-x11-drv-amd- 100% |=========================| 130 kB    00:00     
(6/49): rsync-2.6.9-3.fc7 100% |=========================| 232 kB    00:01     
(7/49): openoffice.org-wr 100% |=========================| 2.9 MB    00:14     
(8/49): libsndfile-1.0.17 100% |=========================| 227 kB    00:01     
(9/49): ntfs-3g-1.913-2.f 100% |=========================| 145 kB    00:00     
(10/49): libpurple-2.2.1- 100% |=========================| 6.6 MB    00:32     
(11/49): selinux-policy-t 100% |=========================| 1.0 MB    00:04     
(12/49): libgcc-4.1.2-27. 100% |=========================|  92 kB    00:00     
(13/49): openoffice.org-d 100% |=========================| 1.1 MB    00:05     
(14/49): elinks-0.11.3-1. 100% |=========================| 1.0 MB    00:04     
(15/49): system-config-pr 100% |=========================| 171 kB    00:00     
(16/49): thunderbird-2.0. 100% |=========================|  23 MB    01:53     
(17/49): smartmontools-5. 100% |=========================| 301 kB    00:01     
(18/49): libtiff-3.8.2-8. 100% |=========================| 310 kB    00:01     
(19/49): cpp-4.1.2-27.fc7 100% |=========================| 2.6 MB    00:12     
(20/49): opal-2.2.11-1.fc 100% |=========================| 2.9 MB    00:13     
(21/49): rhythmbox-0.10.1 100% |=========================| 4.1 MB    00:19     
(22/49): libnetfilter_con 100% |=========================|  44 kB    00:00     
(23/49): libsmbios-libs-0 100% |=========================| 237 kB    00:01     
(24/49): yum-fastestmirro 100% |=========================| 8.3 kB    00:00     
(25/49): libICE-1.0.3-2.1 100% |=========================|  53 kB    00:00     
(26/49): openoffice.org-e 100% |=========================|  75 kB    00:00     
(27/49): httpd-2.2.6-1.fc 100% |=========================| 996 kB    00:04     
(28/49): openoffice.org-t 100% |=========================| 414 kB    00:01     
(29/49): libselinux-pytho 100% |=========================|  75 kB    00:00     
(30/49): libtirpc-0.1.7-9 100% |=========================|  74 kB    00:00     
(31/49): openoffice.org-m 100% |=========================| 1.3 MB    00:06     
(32/49): SDL-1.2.12-1.fc7 100% |=========================| 219 kB    00:01     
(33/49): yum-3.2.5-1.fc7. 100% |=========================| 543 kB    00:02     
(34/49): emacs-22.1-4.fc7 100% |=========================| 1.9 MB    00:09     
(35/49): util-linux-2.13- 100% |=========================| 1.8 MB    00:08     
(36/49): nss_ldap-257-3.f 100% |=========================| 148 kB    00:00     
(37/49): procps-3.2.7-16. 100% |=========================| 209 kB    00:00     
(38/49): pwlib-1.10.10-1. 100% |=========================| 818 kB    00:03     
(39/49): fuse-libs-2.7.0- 100% |=========================|  70 kB    00:00     
(40/49): libdhcp6client-0 100% |=========================|  78 kB    00:00     
(41/49): dhclient-3.0.5-4 100% |=========================| 274 kB    00:01     
(42/49): libstdc++-4.1.2- 100% |=========================| 358 kB    00:01     
(43/49): pidgin-2.2.1-1.f 100% |=========================| 1.1 MB    00:05     
(44/49): openoffice.org-i 100% |=========================| 1.5 MB    00:07     
(45/49): tzdata-2007h-1.f 100% |=========================| 746 kB    00:03     
(46/49): fast-user-switch 100% |=========================| 641 kB    00:03     
(47/49): icedax-1.1.6-5.f 100% |=========================| 180 kB    00:00     
(48/49): fuse-2.7.0-6.fc7 100% |=========================|  80 kB    00:00     
(49/49): libnfnetlink-0.0 100% |=========================|  22 kB    00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating  : libgcc                       ##################### [  1/168] 
  Updating  : libstdc++                    ##################### [  2/168] 
  Updating  : libICE                       ##################### [  3/168] 
  Updating  : libselinux                   ##################### [  4/168] 
  Updating  : info                         ##################### [  5/168] 
  Updating  : dbus-glib                    ##################### [  6/168] 
  Updating  : SDL                          ##################### [  7/168] 
  Updating  : libtiff                      ##################### [  8/168] 
  Updating  : procps                       ##################### [  9/168] 
  Updating  : pwlib                        ##################### [ 10/168] 
  Updating  : opal                         ##################### [ 11/168] 
  Updating  : libpurple                    ##################### [ 12/168] 
  Updating  : libgcj                       ##################### [ 13/168] 
  Updating  : openoffice.org-core          ##################### [ 14/168] 
  Updating  : iptables                     ##################### [ 15/168] 
  Updating  : gnutls                       ##################### [ 16/168] 
  Updating  : foomatic                     ##################### [ 17/168] 
  Updating  : yum                          ##################### [ 18/168] 
  Updating  : fuse-libs                    ##################### [ 19/168] 
  Updating  : openoffice.org-pyuno         ##################### [ 20/168] 
  Installing: kernel                       ##################### [ 21/168] 
  Updating  : fuse                         ##################### [ 22/168] 
  Updating  : system-config-printer-libs   ##################### [ 23/168] 
  Updating  : rhythmbox                    ##################### [ 24/168] 
  Updating  : openoffice.org-testtools     ##################### [ 25/168] 
  Updating  : openoffice.org-writer        ##################### [ 26/168] 
  Updating  : openoffice.org-calc          ##################### [ 27/168] 
  Updating  : gthumb                       ##################### [ 28/168] 
  Updating  : emacs-common                 ##################### [ 29/168] 
  Updating  : qt                           ##################### [ 30/168] 
  Updating  : metacity                     ##################### [ 31/168] 
  Updating  : libsmbios-libs               ##################### [ 32/168] 
  Updating  : hpijs                        ##################### [ 33/168] 
  Updating  : selinux-policy               ##################### [ 34/168] 
  Updating  : libtheora                    ##################### [ 35/168] 
  Updating  : linuxwacom                   ##################### [ 36/168] 
  Updating  : libdvdnav                    ##################### [ 37/168] 
  Updating  : libsndfile                   ##################### [ 38/168] 
  Updating  : libtirpc                     ##################### [ 39/168] 
  Updating  : nss_ldap                     ##################### [ 40/168] 
  Installing: libnfnetlink                 ##################### [ 41/168] 
  Installing: libnetfilter_conntrack       ##################### [ 42/168] 
  Updating  : icedax                       ##################### [ 43/168] 
  Updating  : fast-user-switch-applet      ##################### [ 44/168] 
  Updating  : tzdata                       ##################### [ 45/168] 
  Updating  : openoffice.org-impress       ##################### [ 46/168] 
  Updating  : pidgin                       ##################### [ 47/168] 
  Updating  : dhclient                     ##################### [ 48/168] 
  Updating  : libdhcp6client               ##################### [ 49/168] 
  Updating  : util-linux                   ##################### [ 50/168] 
  Updating  : emacs                        ##################### [ 51/168] 
  Updating  : openoffice.org-math          ##################### [ 52/168] 
  Updating  : libselinux-python            ##################### [ 53/168] 
  Updating  : httpd                        ##################### [ 54/168] 
  Updating  : openoffice.org-emailmerge    ##################### [ 55/168] 
  Updating  : yum-fastestmirror            ##################### [ 56/168] 
  Updating  : cpp                          ##################### [ 57/168] 
  Updating  : smartmontools                ##################### [ 58/168] 
  Updating  : thunderbird                  ##################### [ 59/168] 
  Updating  : system-config-printer        ##################### [ 60/168] 
  Updating  : elinks                       ##################### [ 61/168] 
  Updating  : openoffice.org-draw          ##################### [ 62/168] 
  Updating  : selinux-policy-targeted      ##################### [ 63/168] 
/sbin/restorecon reset /etc/ntp/keys context
system_u:object_r:etc_t:s0->system_u:object_r:ntpd_key_t:s0
/sbin/restorecon reset /etc/rc.d/init.d/ntpd context
system_u:object_r:initrc_exec_t:s0->system_u:object_r:ntpd_script_exec_t:s0
  Updating  : ntfs-3g                      ##################### [ 64/168] 
  Updating  : rsync                        ##################### [ 65/168] 
  Updating  : xorg-x11-drv-amd             ##################### [ 66/168] 
  Updating  : openoffice.org-graphicfilter ##################### [ 67/168] 
  Updating  : genisoimage                  ##################### [ 68/168] 
  Updating  : ekiga                        ##################### [ 69/168] 
  Updating  : openoffice.org-javafilter    ##################### [ 70/168] 
  Updating  : openoffice.org-base          ##################### [ 71/168] 
  Updating  : liberation-fonts             ##################### [ 72/168] 
  Updating  : iptstate                     ##################### [ 73/168] 
  Updating  : readahead                    ##################### [ 74/168] 
  Updating  : system-config-users          ##################### [ 75/168] 
  Updating  : python-setuptools            ##################### [ 76/168] 
  Updating  : yum-updatesd                 ##################### [ 77/168] 
  Updating  : openoffice.org-xsltfilter    ##################### [ 78/168] 
  Updating  : sendmail                     ##################### [ 79/168] 
  Updating  : libdhcp4client               ##################### [ 80/168] 
  Updating  : wodim                        ##################### [ 81/168] 
  Updating  : system-config-date           ##################### [ 82/168] 
  Updating  : iptables-ipv6                ##################### [ 83/168] 
  Updating  : alsa-utils                   ##################### [ 84/168] 
  Updating  : dhcpv6_client                ##################### [ 85/168] 
  Cleanup   : fuse                         ##################### [ 86/168] 
  Cleanup   : icedax                       ##################### [ 87/168] 
  Cleanup   : fast-user-switch-applet      ##################### [ 88/168] 
  Cleanup   : tzdata                       ##################### [ 89/168] 
  Cleanup   : openoffice.org-impress       ##################### [ 90/168] 
  Cleanup   : pidgin                       ##################### [ 91/168] 
  Cleanup   : libstdc++                    ##################### [ 92/168] 
  Cleanup   : dhclient                     ##################### [ 93/168] 
  Cleanup   : libdhcp6client               ##################### [ 94/168] 
  Cleanup   : fuse-libs                    ##################### [ 95/168] 
  Cleanup   : pwlib                        ##################### [ 96/168] 
  Cleanup   : procps                       ##################### [ 97/168] 
  Cleanup   : nss_ldap                     ##################### [ 98/168] 
  Cleanup   : util-linux                   ##################### [ 99/168] 
  Cleanup   : emacs                        ##################### [100/168] 
  Cleanup   : yum                          ##################### [101/168] 
  Cleanup   : SDL                          ##################### [102/168] 
  Cleanup   : openoffice.org-math          ##################### [103/168] 
  Cleanup   : libtirpc                     ##################### [104/168] 
  Cleanup   : libselinux-python            ##################### [105/168] 
  Cleanup   : openoffice.org-testtools     ##################### [106/168] 
  Cleanup   : httpd                        ##################### [107/168] 
  Cleanup   : openoffice.org-emailmerge    ##################### [108/168] 
  Cleanup   : libICE                       ##################### [109/168] 
  Cleanup   : yum-fastestmirror            ##################### [110/168] 
  Cleanup   : libsmbios-libs               ##################### [111/168] 
  Cleanup   : rhythmbox                    ##################### [112/168] 
  Cleanup   : opal                         ##################### [113/168] 
  Cleanup   : cpp                          ##################### [114/168] 
  Cleanup   : libtiff                      ##################### [115/168] 
  Cleanup   : smartmontools                ##################### [116/168] 
  Cleanup   : thunderbird                  ##################### [117/168] 
  Cleanup   : system-config-printer        ##################### [118/168] 
  Cleanup   : elinks                       ##################### [119/168] 
  Cleanup   : openoffice.org-draw          ##################### [120/168] 
  Cleanup   : libgcc                       ##################### [121/168] 
  Cleanup   : selinux-policy-targeted      ##################### [122/168] 
  Cleanup   : libpurple                    ##################### [123/168] 
  Cleanup   : ntfs-3g                      ##################### [124/168] 
  Cleanup   : libsndfile                   ##################### [125/168] 
  Cleanup   : openoffice.org-writer        ##################### [126/168] 
  Cleanup   : rsync                        ##################### [127/168] 
  Cleanup   : xorg-x11-drv-amd             ##################### [128/168] 
  Cleanup   : openoffice.org-graphicfilter ##################### [129/168] 
  Cleanup   : genisoimage                  ##################### [130/168] 
  Cleanup   : ekiga                        ##################### [131/168] 
  Cleanup   : openoffice.org-javafilter    ##################### [132/168] 
  Cleanup   : emacs-common                 ##################### [133/168] 
  Cleanup   : gnutls                       ##################### [134/168] 
  Cleanup   : dbus-glib                    ##################### [135/168] 
  Cleanup   : system-config-printer-libs   ##################### [136/168] 
  Cleanup   : qt                           ##################### [137/168] 
  Cleanup   : libdvdnav                    ##################### [138/168] 
  Cleanup   : linuxwacom                   ##################### [139/168] 
  Cleanup   : openoffice.org-base          ##################### [140/168] 
  Cleanup   : hpijs                        ##################### [141/168] 
  Cleanup   : liberation-fonts             ##################### [142/168] 
  Cleanup   : openoffice.org-pyuno         ##################### [143/168] 
  Cleanup   : iptstate                     ##################### [144/168] 
  Cleanup   : openoffice.org-core          ##################### [145/168] 
  Cleanup   : libtheora                    ##################### [146/168] 
  Cleanup   : openoffice.org-calc          ##################### [147/168] 
  Cleanup   : libselinux                   ##################### [148/168] 
  Cleanup   : metacity                     ##################### [149/168] 
  Cleanup   : readahead                    ##################### [150/168] 
  Cleanup   : selinux-policy               ##################### [151/168] 
  Cleanup   : system-config-users          ##################### [152/168] 
  Cleanup   : python-setuptools            ##################### [153/168] 
  Cleanup   : yum-updatesd                 ##################### [154/168] 
  Cleanup   : openoffice.org-xsltfilter    ##################### [155/168] 
  Cleanup   : kernel                       ##################### [156/168] 
  Cleanup   : foomatic                     ##################### [157/168] 
  Cleanup   : sendmail                     ##################### [158/168] 
  Cleanup   : libdhcp4client               ##################### [159/168] 
  Cleanup   : wodim                        ##################### [160/168] 
  Cleanup   : info                         ##################### [161/168] 
  Cleanup   : gthumb                       ##################### [162/168] 
  Cleanup   : system-config-date           ##################### [163/168] 
  Cleanup   : libgcj                       ##################### [164/168] 
  Cleanup   : iptables-ipv6                ##################### [165/168] 
  Cleanup   : iptables                     ##################### [166/168] 
  Cleanup   : alsa-utils                   ##################### [167/168] 
  Cleanup   : dhcpv6_client                ##################### [168/168] 
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 180, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 382, in doTransaction
    self.dsCallback = dscb
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 579, in
runTransaction
    """takes an rpm callback object, performs the transaction"""
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 249, in callback
    elif what == rpm.RPMCALLBACK_TRANS_PROGRESS:
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 311, in
_instCloseFile
    fd = 0
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 164, in ts_done
    # make sure we have a list to work from - rpm seems to be throwing us
IndexError: list index out of range
Comment 1 Jonathan Underwood 2007-10-11 16:35:48 EDT
The installed version of yum during that transaction was 3.2.4-2:

After the update that crashed out I see:
# grep yum /var/log/yum.log 
Jun 24 12:24:49 Installed: yum-fastestmirror.noarch 1.1.5-1.fc7
Jun 28 20:25:49 Updated: yum.noarch 3.2.1-1.fc7
Jun 28 20:25:55 Updated: yum-updatesd.noarch 3.2.1-1.fc7
Aug 17 11:23:41 Updated: yum.noarch 3.2.2-1.fc7
Aug 17 11:25:17 Updated: yum-fastestmirror.noarch 1.1.6-1.fc7
Aug 17 11:25:28 Updated: yum-updatesd.noarch 3.2.2-1.fc7
Sep 14 20:12:06 Updated: yum.noarch 3.2.4-2.fc7
Sep 14 20:12:35 Updated: yum-updatesd.noarch 3.2.4-2.fc7
Oct 11 21:15:23 Updated: yum - 3.2.5-1.fc7.noarch
Oct 11 21:18:42 Updated: yum-fastestmirror - 1.1.7-1.fc7.noarch
Oct 11 21:19:54 Updated: yum-updatesd - 3.2.5-1.fc7.noarch

==> previous version of yum was 3.2.4-2
Comment 2 Jeremy Katz 2007-10-11 16:40:29 EDT
This is one of the things fixed in yum 3.2.5
Comment 3 Jonathan Underwood 2007-10-11 17:30:46 EDT
OK, thanks - I wanted to be sure to capture it just in case it wasn't.
Comment 4 Jonathan Underwood 2007-10-11 19:08:54 EDT
OK, reopening, as on a different machine which I use to test updates in the
updates-testing repo, the following happened in a transaction where the yum
version running was 3.2.6-1.fc7.noarch. I note that in the transaction that
fails, yum is updated to 3.2.6-2, and so again, maybe this issue is resolved, or
maybe not.

# yum --enablerepo=updates-testing update
Loading "fastestmirror" plugin
Loading "dellsysidplugin" plugin
Loading mirror speeds from cached hostfile
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package libsmbclient.x86_64 0:3.0.26a-3.fc7 set to be updated
---> Package samba.x86_64 0:3.0.26a-3.fc7 set to be updated
---> Package samba-common.x86_64 0:3.0.26a-3.fc7 set to be updated
---> Package yum.noarch 0:3.2.6-2.fc7 set to be updated
---> Package samba-client.x86_64 0:3.0.26a-3.fc7 set to be updated
---> Package libvirt-python.x86_64 0:0.3.3-1.fc7 set to be updated
---> Package bind-utils.x86_64 31:9.4.2-0.4.rc1.fc7 set to be updated
---> Package selinux-policy.noarch 0:2.6.4-48.fc7 set to be updated
---> Package wine-twain.i386 0:0.9.46-1.fc7 set to be updated
---> Package libvirt.x86_64 0:0.3.3-1.fc7 set to be updated
---> Package hpijs.x86_64 1:1.7.4a-5.fc7 set to be updated
---> Package Zim.noarch 0:0.21-1.fc7 set to be updated
--> Processing Dependency: perl(Gtk2::TrayIcon) for package: Zim
--> Processing Dependency: scrot for package: Zim
---> Package selinux-policy-targeted.noarch 0:2.6.4-48.fc7 set to be updated
---> Package util-linux.x86_64 0:2.13-0.54.1.fc7 set to be updated
---> Package cups-libs.i386 1:1.2.12-5.fc7 set to be updated
---> Package icedax.x86_64 0:1.1.6-6.fc7 set to be updated
---> Package wine-cms.i386 0:0.9.46-1.fc7 set to be updated
---> Package wine-ldap.i386 0:0.9.46-1.fc7 set to be updated
---> Package yum-updatesd.noarch 0:3.2.6-2.fc7 set to be updated
---> Package pirut.noarch 0:1.3.23-1.fc7 set to be updated
--> Processing Dependency: python-iniparse for package: pirut
---> Package samba-swat.x86_64 0:3.0.26a-3.fc7 set to be updated
---> Package ncurses.x86_64 0:5.6-8.20070812.fc7 set to be updated
---> Package hpijs.i386 1:1.7.4a-5.fc7 set to be updated
---> Package wodim.x86_64 0:1.1.6-6.fc7 set to be updated
---> Package cups.x86_64 1:1.2.12-5.fc7 set to be updated
---> Package cups-libs.x86_64 1:1.2.12-5.fc7 set to be updated
---> Package python-urlgrabber.noarch 0:3.0.0-3.fc7 set to be updated
---> Package wine-nas.i386 0:0.9.46-1.fc7 set to be updated
---> Package wpa_supplicant.x86_64 1:0.5.7-4.fc7 set to be updated
---> Package wine.i386 0:0.9.46-1.fc7 set to be updated
---> Package wine-core.i386 0:0.9.46-1.fc7 set to be updated
---> Package genisoimage.x86_64 0:1.1.6-6.fc7 set to be updated
---> Package wine-esd.i386 0:0.9.46-1.fc7 set to be updated
---> Package wine-tools.i386 0:0.9.46-1.fc7 set to be updated
---> Package wine-capi.i386 0:0.9.46-1.fc7 set to be updated
---> Package ncurses.i386 0:5.6-8.20070812.fc7 set to be updated
---> Package readahead.x86_64 1:1.4.1-3.fc7 set to be updated
---> Package bind-libs.x86_64 31:9.4.2-0.4.rc1.fc7 set to be updated
---> Package cobbler.noarch 0:0.6.2-2.fc7 set to be updated
---> Package wine-jack.i386 0:0.9.46-1.fc7 set to be updated
--> Running transaction check
---> Package scrot.x86_64 0:0.8-2.fc7 set to be updated
--> Processing Dependency: libgiblib.so.1()(64bit) for package: scrot
---> Package perl-Gtk2-TrayIcon.x86_64 0:0.06-1.fc7 set to be updated
---> Package python-iniparse.noarch 0:0.2.2-1.fc7 set to be updated
--> Running transaction check
---> Package giblib.x86_64 0:1.2.4-7.fc6 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Updating:
 Zim                     noarch     0.21-1.fc7       updates-testing   317 k
 bind-utils              x86_64     31:9.4.2-0.4.rc1.fc7  updates-testing   180 k
 cobbler                 noarch     0.6.2-2.fc7      updates           451 k
 cups                    x86_64     1:1.2.12-5.fc7   updates-testing   3.0 M
 cups-libs               i386       1:1.2.12-5.fc7   updates-testing   186 k
 cups-libs               x86_64     1:1.2.12-5.fc7   updates-testing   182 k
 genisoimage             x86_64     1.1.6-6.fc7      updates-testing   573 k
 hpijs                   x86_64     1:1.7.4a-5.fc7   updates           291 k
 hpijs                   i386       1:1.7.4a-5.fc7   updates           293 k
 icedax                  x86_64     1.1.6-6.fc7      updates-testing   188 k
 libsmbclient            x86_64     3.0.26a-3.fc7    updates-testing   904 k
 libvirt-python          x86_64     0.3.3-1.fc7      updates-testing    71 k
 ncurses                 x86_64     5.6-8.20070812.fc7  updates-testing   1.0 M
 ncurses                 i386       5.6-8.20070812.fc7  updates-testing   1.0 M
 pirut                   noarch     1.3.23-1.fc7     updates-testing   326 k
 python-urlgrabber       noarch     3.0.0-3.fc7      updates-testing   121 k
 readahead               x86_64     1:1.4.1-3.fc7    updates            49 k
 samba-client            x86_64     3.0.26a-3.fc7    updates-testing   4.5 M
 samba-swat              x86_64     3.0.26a-3.fc7    updates-testing   7.4 M
 selinux-policy-targeted  noarch     2.6.4-48.fc7     updates-testing   1.0 M
 util-linux              x86_64     2.13-0.54.1.fc7  updates           1.8 M
 wine                    i386       0.9.46-1.fc7     updates-testing    19 k
 wodim                   x86_64     1.1.6-6.fc7      updates-testing   519 k
 wpa_supplicant          x86_64     1:0.5.7-4.fc7    updates-testing   262 k
 yum-updatesd            noarch     3.2.6-2.fc7      updates-testing    23 k
Installing for dependencies:
 giblib                  x86_64     1.2.4-7.fc6      fedora             22 k
 perl-Gtk2-TrayIcon      x86_64     0.06-1.fc7       updates            21 k
 python-iniparse         noarch     0.2.2-1.fc7      updates-testing    32 k
 scrot                   x86_64     0.8-2.fc7        fedora             18 k
Updating for dependencies:
 bind-libs               x86_64     31:9.4.2-0.4.rc1.fc7  updates-testing   944 k
 libvirt                 x86_64     0.3.3-1.fc7      updates-testing   911 k
 samba                   x86_64     3.0.26a-3.fc7    updates-testing   2.9 M
 samba-common            x86_64     3.0.26a-3.fc7    updates-testing   7.3 M
 selinux-policy          noarch     2.6.4-48.fc7     updates-testing   361 k
 wine-capi               i386       0.9.46-1.fc7     updates-testing    23 k
 wine-cms                i386       0.9.46-1.fc7     updates-testing    36 k
 wine-core               i386       0.9.46-1.fc7     updates-testing   9.4 M
 wine-esd                i386       0.9.46-1.fc7     updates-testing    33 k
 wine-jack               i386       0.9.46-1.fc7     updates-testing    35 k
 wine-ldap               i386       0.9.46-1.fc7     updates-testing    85 k
 wine-nas                i386       0.9.46-1.fc7     updates-testing    22 k
 wine-tools              i386       0.9.46-1.fc7     updates-testing   606 k
 wine-twain              i386       0.9.46-1.fc7     updates-testing    44 k
 yum                     noarch     3.2.6-2.fc7      updates-testing   549 k

Transaction Summary
=============================================================================
Install      4 Package(s)         
Update      40 Package(s)         
Remove       0 Package(s)         

Total download size: 48 M
Is this ok [y/N]: y
Downloading Packages:
(1/44): wine-jack-0.9.46- 100% |=========================|  35 kB    00:00     
(2/44): cobbler-0.6.2-2.f 100% |=========================| 451 kB    00:02     
(3/44): bind-libs-9.4.2-0 100% |=========================| 944 kB    00:04     
(4/44): readahead-1.4.1-3 100% |=========================|  49 kB    00:00     
(5/44): ncurses-5.6-8.200 100% |=========================| 1.0 MB    00:04     
(6/44): python-iniparse-0 100% |=========================|  32 kB    00:00     
(7/44): wine-capi-0.9.46- 100% |=========================|  23 kB    00:00     
(8/44): wine-tools-0.9.46 100% |=========================| 606 kB    00:03     
(9/44): wine-esd-0.9.46-1 100% |=========================|  33 kB    00:00     
(10/44): genisoimage-1.1. 100% |=========================| 573 kB    00:02     
(11/44): wine-core-0.9.46 100% |=========================| 9.4 MB    00:46     
(12/44): wine-0.9.46-1.fc 100% |=========================|  19 kB    00:00     
(13/44): wpa_supplicant-0 100% |=========================| 262 kB    00:01     
(14/44): wine-nas-0.9.46- 100% |=========================|  22 kB    00:00     
(15/44): perl-Gtk2-TrayIc 100% |=========================|  21 kB    00:00     
(16/44): python-urlgrabbe 100% |=========================| 121 kB    00:00     
(17/44): cups-libs-1.2.12 100% |=========================| 182 kB    00:01     
(18/44): cups-1.2.12-5.fc 100% |=========================| 3.0 MB    00:15     
(19/44): wodim-1.1.6-6.fc 100% |=========================| 519 kB    00:02     
(20/44): hpijs-1.7.4a-5.f 100% |=========================| 293 kB    00:01     
(21/44): ncurses-5.6-8.20 100% |=========================| 1.0 MB    00:05     
(22/44): samba-swat-3.0.2 100% |=========================| 7.4 MB    00:36     
(23/44): pirut-1.3.23-1.f 100% |=========================| 326 kB    00:01     
(24/44): yum-updatesd-3.2 100% |=========================|  23 kB    00:00     
(25/44): wine-ldap-0.9.46 100% |=========================|  85 kB    00:00     
(26/44): wine-cms-0.9.46- 100% |=========================|  36 kB    00:00     
(27/44): icedax-1.1.6-6.f 100% |=========================| 188 kB    00:00     
(28/44): cups-libs-1.2.12 100% |=========================| 186 kB    00:00     
(29/44): util-linux-2.13- 100% |=========================| 1.8 MB    00:08     
(30/44): selinux-policy-t 100% |=========================| 1.0 MB    00:04     
(31/44): Zim-0.21-1.fc7.n 100% |=========================| 317 kB    00:01     
(32/44): hpijs-1.7.4a-5.f 100% |=========================| 291 kB    00:01     
(33/44): libvirt-0.3.3-1. 100% |=========================| 911 kB    00:04     
(34/44): wine-twain-0.9.4 100% |=========================|  44 kB    00:00     
(35/44): selinux-policy-2 100% |=========================| 361 kB    00:01     
ftp://ftp.ciril.fr/pub/linux/fedora/linux/releases/7/Everything/x86_64/os/Fedora/scrot-0.8-2.fc7.x86_64.rpm:
[Errno 4] IOError: [Errno ftp error] 530 Sorry, the maximum number of clients
(200) from your class are already connected.
Trying other mirror.
(36/44): scrot-0.8-2.fc7. 100% |=========================|  18 kB    00:00     
(37/44): bind-utils-9.4.2 100% |=========================| 180 kB    00:00     
(38/44): libvirt-python-0 100% |=========================|  71 kB    00:00     
(39/44): samba-client-3.0 100% |=========================| 4.5 MB    00:22     
(40/44): yum-3.2.6-2.fc7. 100% |=========================| 549 kB    00:02     
(41/44): samba-common-3.0 100% |=========================| 7.3 MB    00:36     
(42/44): giblib-1.2.4-7.f 100% |=========================|  22 kB    00:00     
(43/44): samba-3.0.26a-3. 100% |=========================| 2.9 MB    00:14     
(44/44): libsmbclient-3.0 100% |=========================| 904 kB    00:04     
Running rpm_check_debug
Running Transaction Test
/etc/selinux/targeted/contexts/files/file_contexts: Multiple same specifications
for /var/run/pm(/.*)?.
/etc/selinux/targeted/contexts/files/file_contexts: Multiple same specifications
for /var/log/pm(/.*)?.
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
/etc/selinux/targeted/contexts/files/file_contexts: Multiple same specifications
for /var/run/pm(/.*)?.
/etc/selinux/targeted/contexts/files/file_contexts: Multiple same specifications
for /var/log/pm(/.*)?.
  Updating  : wine-core                    ####################### [ 1/84] 
  Updating  : cups-libs                    ####################### [ 2/84] 
  Updating  : ncurses                      ####################### [ 3/84] 
  Updating  : samba-common                 ####################### [ 4/84] 
  Updating  : bind-libs                    ####################### [ 5/84] 
  Updating  : ncurses                      ####################### [ 6/84] 
  Updating  : libvirt                      ####################### [ 7/84] 
  Updating  : cups-libs                    ####################### [ 8/84] 
  Updating  : python-urlgrabber            ####################### [ 9/84] 
  Updating  : yum                          ####################### [10/84] 
  Updating  : hpijs                        ####################### [11/84] 
  Updating  : samba                        ####################### [12/84] 
  Updating  : hpijs                        ####################### [13/84] 
  Updating  : wine-twain                   ####################### [14/84] 
  Updating  : wine-cms                     ####################### [15/84] 
  Updating  : wine-ldap                    ####################### [16/84] 
  Updating  : wine-nas                     ####################### [17/84] 
  Updating  : wine-esd                     ####################### [18/84] 
  Updating  : wine-tools                   ####################### [19/84] 
  Updating  : wine-capi                    ####################### [20/84] 
  Updating  : wine-jack                    ####################### [21/84] 
  Installing: python-iniparse              ####################### [22/84] 
  Installing: perl-Gtk2-TrayIcon           ####################### [23/84] 
  Updating  : selinux-policy               ####################### [24/84] 
  Installing: giblib                       ####################### [25/84] 
  Installing: scrot                        ####################### [26/84] 
  Updating  : Zim                          ####################### [27/84] 
  Updating  : libsmbclient                 ####################### [28/84] 
  Updating  : samba-client                 ####################### [29/84] 
  Updating  : libvirt-python               ####################### [30/84] 
  Updating  : bind-utils                   ####################### [31/84] 
  Updating  : selinux-policy-targeted      ####################### [32/84] 
  Updating  : util-linux                   ####################### [33/84] 
  Updating  : icedax                       ####################### [34/84] 
  Updating  : yum-updatesd                 ####################### [35/84] 
  Updating  : pirut                        ####################### [36/84] 
  Updating  : samba-swat                   ####################### [37/84] 
  Updating  : wodim                        ####################### [38/84] 
  Updating  : cups                         ####################### [39/84] 
  Updating  : wpa_supplicant               ####################### [40/84] 
  Updating  : wine                         ####################### [41/84] 
  Updating  : genisoimage                  ####################### [42/84] 
  Updating  : readahead                    ####################### [43/84] 
  Updating  : cobbler                      ####################### [44/84] 
warning: /var/lib/cobbler/settings created as /var/lib/cobbler/settings.rpmnew
  Cleanup   : libsmbclient                 ####################### [45/84] 
  Cleanup   : samba                        ####################### [46/84] 
  Cleanup   : samba-common                 ####################### [47/84] 
  Cleanup   : yum                          ####################### [48/84] 
  Cleanup   : samba-client                 ####################### [49/84] 
  Cleanup   : libvirt-python               ####################### [50/84] 
  Cleanup   : bind-utils                   ####################### [51/84] 
  Cleanup   : selinux-policy               ####################### [52/84] 
  Cleanup   : wine-twain                   ####################### [53/84] 
  Cleanup   : libvirt                      ####################### [54/84] 
  Cleanup   : hpijs                        ####################### [55/84] 
  Cleanup   : Zim                          ####################### [56/84] 
  Cleanup   : selinux-policy-targeted      ####################### [57/84] 
  Cleanup   : util-linux                   ####################### [58/84] 
  Cleanup   : cups-libs                    ####################### [59/84] 
  Cleanup   : icedax                       ####################### [60/84] 
  Cleanup   : wine-cms                     ####################### [61/84] 
  Cleanup   : wine-ldap                    ####################### [62/84] 
  Cleanup   : yum-updatesd                 ####################### [63/84] 
  Cleanup   : pirut                        ####################### [64/84] 
  Cleanup   : samba-swat                   ####################### [65/84] 
  Cleanup   : ncurses                      ####################### [66/84] 
  Cleanup   : hpijs                        ####################### [67/84] 
  Cleanup   : wodim                        ####################### [68/84] 
  Cleanup   : cups                         ####################### [69/84] 
  Cleanup   : cups-libs                    ####################### [70/84] 
  Cleanup   : python-urlgrabber            ####################### [71/84] 
  Cleanup   : wine-nas                     ####################### [72/84] 
  Cleanup   : wpa_supplicant               ####################### [73/84] 
  Cleanup   : wine-core                    ####################### [74/84] 
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 180, in main
    base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 392, in doTransaction
    self.runTransaction(cb=cb)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 588, in
runTransaction
    errors = self.ts.run(cb.callback, '')
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 319, in callback
    self._unInstStart( bytes, total, h )
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 414, in _unInstStop
    self.total_actions)
  File "/usr/lib/python2.5/site-packages/yum/rpmtrans.py", line 245, in ts_done
    name = package.name
TypeError: filelog() takes exactly 3 arguments (2 given)
Comment 5 Jeremy Katz 2007-10-11 19:21:15 EDT
Yep, that's exactly what 3.2.6-2 is to fix :)
Comment 6 Jonathan Underwood 2007-10-11 19:42:27 EDT
Oh, right, thanks. Any simple way to fix the debris left by the incomplete
transaction?
Comment 7 Seth Vidal 2007-10-11 22:27:21 EDT
go to /var/lib/yum

notice the transaction-all vs transaction-done files.

transaction-all lists all the operations for that transaction
transaction-done lists all the operations that were performed for that transaction.

Just cut and paste the remaining items from transaction-all that are not listed
in transaction-done into a 'yum shell' command line.

Comment 8 Jonathan Underwood 2007-10-12 08:47:36 EDT
Thanks very much, Seth.

Note You need to log in before you can comment on or make changes to this bug.